/**
 * Интерфейс предоставляющий доступ к конфигурационным данным платформы, у которой был произведен запрос.
 *
 * ```bash
 * // доступ
 * ps.pl.core_config
 * ```
 *
 * @group manager
 * @namespace CoreConfig
 * @extends manager
 */
function CoreConfig() {

    /**
     * Проверяет, является ли данная платформа мастером
     *
     * @public
     * @function is_master
     * @memberof CoreConfig
     * @returns {boolean}
     */
    this.is_master = function () {

    };

    /**
     * Возвращает таг менеджера моделей
     *
     * @public
     * @function model_manager_tag
     * @memberof CoreConfig
     * @returns {v2.string}
     */
    this.model_manager_tag = function () {

    };

    /**
     * Возвращает таг датасорс менеджера
     *
     * @public
     * @function datasource_manager_tag
     * @memberof CoreConfig
     * @returns {v2.string}
     */
    this.datasource_manager_tag = function () {

    };

    /**
     * Возвращает таг менеджера пользователей
     *
     * @public
     * @function user_manager_tag
     * @memberof CoreConfig
     * @returns {v2.string}
     */
    this.user_manager_tag = function () {

    };

    /**
     * Системный адрес платформы
     *
     * @public
     * @function m_sys_addr
     * @memberof CoreConfig
     * @returns {v2.address}
     */
    this.m_sys_addr = function () {

    };

    /**
     * Возвращает список доступный идентификаторов для деревьев
     *
     * @public
     * @function allow_tree_tags
     * @memberof CoreConfig
     * @returns {v2.set(v2.string)}
     */
    this.allow_tree_tags = function () {

    };
}