/**
 * Менеджер для доступа к типам моделей
 *
 * Это системный менеджер, и нужен для работы {@link Models.Model.Groups.Group ModelGroup}
 * ```bash
 * // доступ
 * ps.pl.mtm
 * ```
 * @group manager
 * @namespace ModelTypes
 */
function ModelTypes() {
    /**
     *  Вернет ссылку на Тип группы.
     *  <br/>
     *  <br/>
     * Пример
     * ```
     * ps.pl.mtm.get(new v2.string("type")).then(function(_ref){
     *     var model = _ref.value();
     *     // теперь можно работать с провайдером типа модели
     * }, function(_err){
     *     console.log("произошла ошибка")
     * });
     * ```
     * @public
     * @function get
     * @param {v2.string} modelType
     * @returns {tools.promise(ModelTypes.ModelType)}
     * @memberof ModelTypes
     */
    this.get = function (modelType) {

    };
}