/**
 * Интерфейс, который предоставляет доступ к данным групп, ваыф
 *
 * ```bash
 * // доступ
 * ps.pl.user_manager
 * ```
 *
 * @group manager
 * @namespace UserManager
 * @extends manager
 */
function UserManager() {

    /**
     *
     * @public
     * @function get_entities
     * @memberof UserManager
     * @param {v2.string} _type
     * @returns {v2.tools.promise()}
     */
    this.get_entities = function (_type) {

    };

    /**
     *
     * @public
     * @function delete_entity
     * @memberof UserManager
     * @param {v2.set(v2.string)} _ids
     * @param {v2.string} _type
     * @returns {v2.tools.promise()}
     */
    this.delete_entity = function (_ids, _type) {

    };

    /**
     *
     * @public
     * @function edit_entity
     * @memberof UserManager
     * @param {v2.string} _type
     * @param {v2.list<v2.vc>} _data
     * @returns {v2.tools.promise()}
     */
    this.edit_entity = function (_type, _data) {

    };

    /**
     *
     * @public
     * @function add_entity
     * @memberof UserManager
     * @param {v2.string} _type
     * @param {v2.list<v2.vc>} _data
     * @returns {v2.tools.promise()}
     */
    this.add_entity = function (_type, _data) {

    };

    /**
     *
     * @public
     * @function get_entity
     * @memberof UserManager
     * @param {v2.string} _type
     * @param {v2.string} _id
     * @returns {v2.tools.promise()}
     */
    this.get_entity = function (_type, _id) {

    };

    /**
     *
     * @public
     * @function get_roles_by_user
     * @memberof UserManager
     * @param {v2.string} _id
     * @returns {v2.tools.promise()}
     */
    this.get_roles_by_user = function (_id) {

    };

    /**
     *
     * @public
     * @function get_groups_by_role
     * @memberof UserManager
     * @param {v2.string} _id
     * @returns {v2.tools.promise()}
     */
    this.get_groups_by_role = function (_id) {

    };

    /**
     *
     * @public
     * @function get_users_by_role
     * @memberof UserManager
     * @param {v2.string} _id
     * @returns {v2.tools.promise()}
     */
    this.get_users_by_role = function (_id) {

    };

    /**
     *
     * @public
     * @function get_roles_by_group
     * @memberof UserManager
     * @param {v2.string} _id
     * @returns {v2.tools.promise()}
     */
    this.get_roles_by_group = function (_id) {

    };

    /**
     *
     * @public
     * @function add_groups_to_roles
     * @memberof UserManager
     * @param {v2.map<v2.string, v2.set>} _data
     * @returns {v2.tools.promise()}
     */
    this.add_groups_to_roles = function (_data) {

    };

    /**
     *
     * @public
     * @function add_users_to_roles
     * @memberof UserManager
     * @param {v2.map<v2.string, v2.set>} _data
     * @returns {v2.tools.promise()}
     */
    this.add_users_to_roles = function (_data) {

    };

    /**
     *
     * @public
     * @function del_groups_from_roles
     * @memberof UserManager
     * @param {v2.map<v2.string, v2.set>} _data
     * @returns {v2.tools.promise()}
     */
    this.del_groups_from_roles = function (_data) {

    };

    /**
     *
     * @public
     * @function del_users_from_roles
     * @memberof UserManager
     * @param {v2.map<v2.string, v2.set>} _data
     * @returns {v2.tools.promise()}
     */
    this.del_users_from_roles = function (_data) {

    };

    /**
     *
     * @public
     * @function group_nodes
     * @memberof UserManager
     * @param {v2.string} _tag
     * @param {v2.string} _id
     * @param {v2.set<v2.integer>} _node_ids
     * @returns {v2.tools.promise()}
     */
    this.group_nodes = function (_tag, _id, _node_ids) {

    };

    /**
     *
     * @public
     * @function set_group_nodes
     * @memberof UserManager
     * @param {v2.string} _tag
     * @param {v2.string} _id
     * @param {v2.map<v2.integer, v2.integer>} _node_statuses
     * @returns {v2.tools.promise()}
     */
    this.set_group_nodes = function (_tag, _id, _node_statuses) {

    };
}